namespace DoomDeathmatch.Script.Provider;

public class ConstValueProvider<T>(T parValue) : IValueProvider<T>
{
  public T GetValue() => parValue;

  public static ConstValueProvider<T> Create(T parValue) => new(parValue);
  public static implicit operator ConstValueProvider<T>(T parValue) => new(parValue);
}